----------------------------------------------------
-- BARGRAPH DEMO with canvas_draw()
-- J. ZAHAR 09/2020
----------------------------------------------------

top_x=50
top_y=450
nb_red_segments=2
nb_orange_segments=3
nb_green_segments=10

canvas_add(0,0,512,512,function()
    _rect(0,0,512,512)
    _fill("grey")
end)

canvas_black=canvas_add(0,0,512,512)
canvas_draw(canvas_black,function()
    for i=1,nb_red_segments + nb_orange_segments + nb_green_segments do
        _rect(top_x, top_y-25*i, 20, 20)
        _fill("black")
    end
end)

txt_disco= txt_add("DISCO !!!", "font:digital-7-mono.ttf; size:50; color: white;", 200, 250, 200, 200)


canvas_lighted=canvas_add(0,0,512,512)

function play_bar()
bar_height=math.random()*15+1
canvas_draw(canvas_lighted,function()
    for i=1, bar_height do
        _rect(top_x, top_y-25*i, 20, 20)
        if i <=nb_green_segments then 
                _fill("green")
        elseif i <=nb_green_segments +  nb_orange_segments then
                _fill("orange")
        else
                 _fill("red")
        end
    end
end)
       
vis=not(vis)
visible(txt_disco,vis)
end

timer_start(0,150,play_bar)